### A free/open-source library for quantitative finance

Classes
ql/experimental/compoundoption/compoundoption.hpp File Reference

Compound option on a single asset. More...

`#include <ql/instruments/oneassetoption.hpp>`
`#include <ql/instruments/payoffs.hpp>`
`#include <ql/exercise.hpp>`
Include dependency graph for compoundoption.hpp:

## Classes

class | CompoundOption
| Compound option on a single asset. More...
class | CompoundOption::engine
| Compound-option engine base class More...

## Detailed Description

Compound option on a single asset.